Skip to main content
GET
/
api
/
v2.1
/
fundamentals
/
shareClass
Get Share Class V2.1
curl --request GET \
  --url 'https://api.example.com/api/v2.1/fundamentals/shareClass?token='
{
  "result": [
    {
      "company": {
        "primarySymbol": "AAPL",
        "primaryExchange": "NAS",
        "cik": "320193",
        "isin": "CA03785Y1007",
        "cusip": "03785Y100",
        "standardName": "Apple",
        "countryId": "USA",
        "isReit": false,
        "industryTemplateCode": "N",
        "businessCountryId": "USA",
        "isLimitedPartnership": false,
        "yearofEstablishment": 1977,
        "isLimitedLiabilityCompany": false
      },
      "shareClass": {
        "shareClassId": "0P000000GY",
        "companyId": "0C00000ADA",
        "symbol": "AAPL",
        "exchangeId": "NAS",
        "currencyId": "USD",
        "ipoDate": "1980-12-12",
        "isDepositaryReceipt": false,
        "securityType": "ST00000001",
        "shareClassStatus": "A",
        "isPrimaryShare": true,
        "isDividendReinvest": false,
        "isDirectInvest": false,
        "investmentId": "E0USA002US",
        "ipoOfferPrice": 28.75,
        "mic": "XNAS",
        "exchangeSubMarketGlobalId": "EX$$$$XNGS",
        "conversionRatio": 1.0,
        "parValue": 1e-05,
        "suspensionStatus": false,
        "marketDataId": "126.1.AAPL",
        "isPrimaryShare1031": true,
        "investmentPrimaryIssuer": true
      },
      "symbol": "AAPL",
      "idType": "SYMBOL",
      "id": "AAPL"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://benzinga-2-locadex-parallel-main.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

{
  "result": [
    {
      "company": {
        "primarySymbol": "AAPL",
        "primaryExchange": "NAS",
        "cik": "320193",
        "isin": "CA03785Y1007",
        "cusip": "03785Y100",
        "standardName": "Apple",
        "countryId": "USA",
        "isReit": false,
        "industryTemplateCode": "N",
        "businessCountryId": "USA",
        "isLimitedPartnership": false,
        "yearofEstablishment": 1977,
        "isLimitedLiabilityCompany": false
      },
      "shareClass": {
        "shareClassId": "0P000000GY",
        "companyId": "0C00000ADA",
        "symbol": "AAPL",
        "exchangeId": "NAS",
        "currencyId": "USD",
        "ipoDate": "1980-12-12",
        "isDepositaryReceipt": false,
        "securityType": "ST00000001",
        "shareClassStatus": "A",
        "isPrimaryShare": true,
        "isDividendReinvest": false,
        "isDirectInvest": false,
        "investmentId": "E0USA002US",
        "ipoOfferPrice": 28.75,
        "mic": "XNAS",
        "exchangeSubMarketGlobalId": "EX$$$$XNGS",
        "conversionRatio": 1.0,
        "parValue": 1e-05,
        "suspensionStatus": false,
        "marketDataId": "126.1.AAPL",
        "isPrimaryShare1031": true,
        "investmentPrimaryIssuer": true
      },
      "symbol": "AAPL",
      "idType": "SYMBOL",
      "id": "AAPL"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

symbols
string
required

Comma separated list of symbols (e.g., AAPL, MSFT)

asOf
string

Return results for dates greater than or equal date specified in this parameter (YYYY-MM-DD)

period
string

Specifies the time period of the returned results (e.g., Q1, 2023)

reportType
string

Report type: TTM (Trailing Twelve Months), A (As originally reported), R (Restated), P (Preliminary)

Response

Share class data

The response is of type string.